org.keycloak.partialimport

## Enum Action

- java.lang.Object
- - java.lang.Enum<Action>
  - - org.keycloak.partialimport.Action

- All Implemented Interfaces:
    Serializable, Comparable<Action>

      public enum Action
      extends Enum<Action>

  Enum for actions taken by PartialImport.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED`
    `OVERWRITTEN`
    `SKIPPED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDED

          public static final Action ADDED

    - #### SKIPPED

          public static final Action SKIPPED

    - #### OVERWRITTEN

          public static final Action OVERWRITTEN

  - ### Method Detail

    - #### values

          public static Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Action c : Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Action valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 JBoss by Red Hat. All rights reserved.